with mcc.gui.container.window;
with ada.text_io;


procedure window is
   Window  : aliased mcc.gui.container.window.main_window;
begin
   -- test window functions
   mcc.gui.container.window.create(window,
      100,100,300,300);
   mcc.gui.container.window.set_title(window,"Fr""ed");
   delay 3.0;
   mcc.gui.container.window.hide(window);
   delay 3.0;
   mcc.gui.container.window.show(window);
   mcc.gui.container.window.to_top(window);

   mcc.gui.container.window.event_loop;
end window;
